%define	name	qmail-masq
%define	version	0.4
%define	release	3rph

Summary:	Masquerades internal IP for qmail
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.folug.linux.it/qmail-masq.html
Source:		%{name}-%{version}.tar.bz2
Requires:	perl qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a perl program that works with qmail, it masquerade the
internal mail users address with an external one when sending
email from local network users to the external internet users.

%prep
%setup -q -n %{name}-%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%install
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}/var/qmail/bin
install -m 755 %{name}.pl %{buildroot}/var/qmail/bin/%{name}.pl
install -m 644 qmail-masq.conf.example %{buildroot}%{_sysconfdir}/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog
%{_sysconfdir}/*
/var/qmail/bin/%{name}.pl

%changelog
* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.4-3rph
- build for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.4-2rph
- rebuild for rpmhelp.net

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- new version

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2-1mdk
- initial cooker contrib
